# Get, Update, or Delete Publication GET /api/v1/publications/{id}/ Retrieves, updates, or deletes a specific publication. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/publications/retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/publications/{id}/: get: operationId: retrieve summary: Get, Update, or Delete Publication description: Retrieves, updates, or deletes a specific publication. tags: - subpackage_publications parameters: - name: id in: path required: true schema: type: integer - name: pk in: path description: The ID of the publication required: true schema: type: integer responses: '200': description: Publication details content: application/json: schema: $ref: '#/components/schemas/Publication' '400': description: Invalid input content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type '403': description: Forbidden content: application/json: schema: description: Any type '404': description: Publication not found content: application/json: schema: description: Any type components: schemas: MinimalIAMUserDetail: type: object properties: profile_picture: type: - string - 'null' format: uri bio: type: - string - 'null' country: type: - string - 'null' phone: type: - string - 'null' linkedin_url: type: - string - 'null' format: uri github_url: type: - string - 'null' format: uri twitter_url: type: - string - 'null' format: uri website_url: type: - string - 'null' format: uri top_domain_elo: type: number format: double top_domain_rank: type: integer required: - profile_picture - bio - country - phone - linkedin_url - github_url - twitter_url - website_url - top_domain_elo - top_domain_rank title: MinimalIAMUserDetail MinimalUserPublic: type: object properties: id: type: integer username: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. email: type: string format: email full_name: type: string is_verified: type: boolean followers_count: type: integer details: type: array items: $ref: '#/components/schemas/MinimalIAMUserDetail' required: - id - username - email - followers_count - details description: >- Minimal user serializer for use in PublicationSerializers owner details field title: MinimalUserPublic GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum Publication: type: object properties: id: type: integer owner: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. owner_name: type: string owner_details: $ref: '#/components/schemas/MinimalUserPublic' custom_url: type: string custom_url_last_updated: type: string format: date-time next_custom_url_update: type: string highlighted_blog: type: - object - 'null' additionalProperties: description: Any type creator_cal_username: type: - string - 'null' description: |- Get the Cal.com username of the publication owner if they have Cal.com integration enabled, otherwise return None. Now prioritizes the cal_username field populated by sync command. experiences_count: type: integer description: >- Get the total count of published experiences for this publication. Uses centralized ExperienceCountingService for consistency. Only counts experiences with is_draft=False and primary_deployed_resource_id set. experiences_by_type: type: object additionalProperties: type: integer description: >- Get the count of published experiences by type for this publication. Uses centralized ExperienceCountingService for consistency. Returns a dictionary with experience type as key and count as value. Only counts experiences with is_draft=False and primary_deployed_resource_id set. Output Sample: { "AI_EXPERT": 5, "AI_NOTE": 10, "QUEST": 3, "PODCAST": 2 } workspace_id: type: integer subscribed: type: boolean logged_in_user_is_cocreator: type: boolean theme: type: string subscribers_count: type: integer uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time is_active: type: boolean created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' name: type: string description: type: string logo: type: - string - 'null' format: uri cover_image: type: - string - 'null' format: uri allow_bookings: type: boolean visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' is_default: type: boolean description: Whether this is the user's default publication is_premium: type: boolean description: Whether this is a premium publication is_verified: type: boolean description: Whether this publication has been verified workspace: type: - integer - 'null' description: >- Workspace (DGM Group) this publication belongs to. Null for legacy publications. tags: type: array items: type: integer required: - id - owner - owner_name - owner_details - custom_url - custom_url_last_updated - next_custom_url_update - highlighted_blog - creator_cal_username - experiences_count - experiences_by_type - workspace_id - subscribed - logged_in_user_is_cocreator - theme - subscribers_count - uid - created_at - updated_at - deleted_at - name - workspace title: Publication ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/publications/1/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/1/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/1/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/1/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/publications/1/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/publications/1/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/1/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/1/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python import requests url = "https://api.example.com/api/v1/publications/1/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/1/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/1/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/1/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/publications/1/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/publications/1/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/1/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/1/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```